package com.hungraim.ltc.account.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.account.ChDisabFreeRdInfo;
import com.hungraim.ltc.pojo.entity.account.OverallCostListRespVO;
import com.hungraim.ltc.pojo.entity.account.OverallCostReqVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author zwl
 * @ClassName ChDisabFreeRdInfoMapper
 * @description
 * @date 2023/2/27 20:59
 **/
@Repository
@Mapper
public interface ChDisabFreeRdInfoMapper  extends BaseMapper<ChDisabFreeRdInfo> {
    Page<OverallCostListRespVO> queryFreeRdInfo(Page page, OverallCostReqVO req);

    List<String> selectByAccountsId(@Param("accountsId")Long accountsId,@Param("dealType") int dealType);


}
