package com.hungraim.ltc.pojo.entity.account;

import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * 打卡记录返回
 * @author mq
 */
@Data
public class ChPunchDetailsVO {

    /**
     * 护理机构
     */
   private String srvOrganName;
    /**
     * 护理类型
     */
    private String organTypeName;

    //参保人姓名
    private String realName;

    //打卡月份
    private String month;

    /**
     * 项目信息
     */
    private List<ChPunchDetailVO> recordData;
    /**
     * 打卡记录
     */
    private List<ChServiceTypeDetailedVO> chPunchDetailVOS;

    private List<Map> srvSumTimeVOS;
}
