package com.hungraim.ltc.pojo.entity.disable;

import com.baomidou.mybatisplus.annotation.*;
import com.hungraim.ltc.pojo.entity.PageInfo;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 护理机构表
 */
@Data
@TableName("CH_SRV_ORGAN")
@KeySequence("SEQ_CH_SRV_ORGAN")
public class ChSrvOrgan extends PageInfo implements Serializable {
    @TableId(type = IdType.INPUT)
    private Integer srvOrganId;
    private String acptRoadDetail;
    private String acptLongitude;
    private String unifiedSocialCreditCode;
    private String accName;
    private String bankNo;
    private Integer status;
    private java.util.Date endTime;
    private Integer acptRoadType;
    private String acptProvincial;
    private Integer webDefineEmp;
    private Integer levelCode;
    private String acptCity;
    private Integer acptNumberType;
    private Integer defineEmp;
    private String checkRemarkCh;
    private String adressDetail;
    private java.util.Date fcd;
    private Integer checkStatusCh;
    private java.util.Date lcd;
    private String acptNumberDetail;
    private Integer dataFrom;
    private String organId;
    private String districtCity;
    private Integer endEmp;
    private Integer organTypeId;
    private String linkName;
    private String bankDistrictCity;
    private Integer fcu;
    private String bankAccCode;
    private String bankDistrictProvincial;
    private String srvOrganCode;
    private Integer lcu;
    private String checkRemarkLp;
    private String srvType;
    @TableField(exist = false)
    private List<SrvTypeData> srvTypeData;
    private String districtProvincial;
    private String checkNameLp;
    private Integer cardType;
    private Integer checkStatusLp;
    private Integer bunk;
    private String medicareNumber;
    private String bankAccName;
    private String linkTel;
    private Integer webEndEmp;
    private String districtArea;
    private String linkMail;
    private String permitId;
    private String acptStreet;
    private Integer cfgModeId;
    private String remark;
    private String bankDistrictWebsite;
    private String srvOrganName;
    private java.util.Date checkTimeLp;
    private String acptAddress;
    private String checkNameCh;
    private String acptLatitude;
    private String acptArea;
    private java.util.Date checkTimeCh;
    private java.util.Date effTime;
}
