package com.hungraim.ltc.pojo.entity.governance;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.util.Date;

@Data
@TableName("CH_SRV_PLAN")
@KeySequence("SEQ_CH_SRV_PLAN")
public class ChSrvPlan {
    @TableId(value = "plan_ID", type = IdType.INPUT)
    private Long planID;
    private Long srvOrganId;
    private Long disabInfoId;
    private Long modeId;
    private Long empId;
    private Long taskDetailId;
    private Long itemId;
    private String itemName;
    private Date creationTime;
    private Date srvPlanTime;
    private Long isStatus;
    private Long isBill;
    private Date lcd;
    @TableField(exist = false)
    private String itemWeek;

    @TableField(exist = false)
    private String planningFrequencyType;

}
