package com.hungraim.ltc.pojo.vo.governance;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class ProgramSetAndProjectVo {

    /**
     * 服务项目id
     */
    private Long projectId;

    /**
     * 护理机构ID
     */
    private Long srvOrganId;

    /**
     * 服务方案配置id
     */
    private Long setId;

    /**
     * 服务项目名称
     */
    private String itemName;

    /**
     * 类服务包类型(1基础护理、2日常照护项目、3其它、4巡诊)
     */
    private Integer categoryType;

    /**
     * 频次
     */
    private Integer itemTimes;

    /**
     * 频次类型(1:次/每月，2:必要时）
     */
    private Integer itemTimesType;

    /**
     * 单价
     */
    private BigDecimal itemPrice;

    /**
     * 是否必需项(是：1；否：0)
     */
    private Integer isNeed;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否配置 (是：1；否：0)
     */
    private Short isConf;

    /**
     * 计划频次
     */
    private Long planningFrequency;

    /**
     * 计划频次类型(1：次/每月，2：次/每天，3：次/每周；)
     */
    private Short planningFrequencyType = 1;

    private String itemWeek;

    private List<String> itemWeeks;


}
