package com.hungraim.ltc.pojo.vo.governance;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.hungraim.ltc.pojo.entity.SysConfig.ChFndAttach;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author zwl
 * @ClassName SrvPlanInputVO
 * @description
 * @date 2023/4/12 11:08
 **/
@Data
public class SrvPlanInputVO {


    private Long srvOrganId;


    private Long disabInfoId;


    private Long modeId;

    private Long empId;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date srvPlanTime;

    /**
     * 服务项目ids
     */
    private String[] itemIds;

    /**
     * 操作人
     */
    private String admin;

    /**
     * 补卡原因
     */
    private String clockReason;

    private Long srvTaskId;

    private Long taskDetailId;

    @TableField(exist = false)
   private List<ChFndAttach> fileDataList;


}
