package com.hungraim.ltc.account.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.serviceManage.ChSrvTaskDetailAuditLog;
import com.hungraim.ltc.pojo.vo.account.SrvOrganListReq;
import com.hungraim.ltc.pojo.vo.account.SrvOrganListResp;
import com.hungraim.ltc.pojo.vo.account.SrvTaskDetailAuditLogRespVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;


@Mapper
@Repository
public interface ChSrvTaskDetailAuditLogMapper extends BaseMapper<ChSrvTaskDetailAuditLog> {
    @Select("<script>" +
            "select f.task_detail_id,f.check_status,f.auditor,                          \n" +
            " f.audit_remark,to_char(f.check_time,'yyyy-mm-dd hh24:mi:ss') check_time,    \n" +
            " f.check_num  from Ch_Srv_Task_Detail_audit_log f                           \n" +
            " where f.task_detail_id=#{taskDetailId}     </script>")
    List<SrvTaskDetailAuditLogRespVO> getSrvTaskDetailAuditLogList(Long taskDetailId);

}


