package com.hungraim.ltc.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.entity.disable.*;
import com.hungraim.ltc.pojo.entity.facelocation.FaceLocationWhiteList;
import com.hungraim.ltc.pojo.vo.disable.*;
import com.hungraim.ltc.pojo.vo.facelocation.FaceLocationWhiteListVo;
import com.hungraim.ltc.util.Result;
import org.apache.ibatis.annotations.Param;
import org.apache.poi.ss.usermodel.Workbook;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 失能申请Service
 *
 * @author czz
 */
@Service
public interface FaceLocationWhiteListService {

    Page<FaceLocationWhiteListVo> getFaceLocationWhiteList(Page<FaceLocationWhiteListVo> page,
                                                           @Param("srvOrganId") Long srvOrganId,//护理机构ID
                                                           String certiCode,//失能人员身份证号
                                                           String realName,//失能人员姓名
                                                           String empName);//护理人员姓名

    FaceLocationWhiteListVo getFaceLocationWhiteDetail(Long listId);

    Result addOrUpdateFaceLocationWhiteList(FaceLocationWhiteList faceLocationWhiteList);

    Result deleteFaceLocationWhiteListById(Long listId);
}
