package com.hungraim.ltc.pojo.entity.serviceManage;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * CH_SRV_TASK_DETAIL_AUDIT_LOG
 * @author 
 */
@Data
@TableName("CH_SRV_TASK_DETAIL_AUDIT_LOG")
@KeySequence("S_SRV_DETIAL_AUDIT_LOG")
public class ChSrvTaskDetailAuditLog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 服务明细id
     */
    @TableId(type = IdType.INPUT)
    private Long logId;

    /**
     * 对应CH_SRV_TASK_DETAIL表ID
     */
    private Long taskDetailId;

    /**
     * 审核状态
     */
    private short checkStatus;

    /**
     * 审核人
     */
    private String auditor;

    /**
     * 审核备注
     */
    private String auditRemark;

    /**
     * 审核时间
     */
    private Date checkTime;

    /**
     * 审核次数
     */
    private Integer checkNum;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Long fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Long lcu;

}