package com.hungraim.ltc.pojo.vo.account;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

/**
 * @author zwl
 * @ClassName AccountDeclareExportResp
 * @description 基金申报导出
 * @date 2023/7/19 17:04
 **/

@Data
public class AccountDeclareExportResp {

    @Excel(name = "所属片区",width = 20)
    private String beloingArea;

    @Excel(name = "统筹区",width = 20)
    private String medicalArea;

    @Excel(name = "账单月份",width = 20)
    private String accountsTime;

    @Excel(name = "失能人员",width = 20)
    private String realName;


    /**
     * 护理机构名称
     */
    @Excel(name = "护理机构名称",width = 20)
    private String srvOrganName;


    /**
     * 护理机构名称
     */
    @Excel(name = "服务方式",width = 20)
    private String modeName;

    /**
     * 总费用
     */
    @Excel(name = "总费用合计",width = 20)
    private String accountsAllCost;

    /**
     * 统筹费用
     */
    @Excel(name = "统筹支出合计",width = 20)
    private String accountsOverallCost;

    /**
     * 个人支付
     */
    @Excel(name = "自付合计",width = 20)
    private String accountsPersonalCost;

    @Excel(name = "申报状态")
    private String status;

}
